# std::experimental::any::type

From cppreference.com
< cpp‎ | experimental‎ | any

const type_info& type() const noexcept; |  | (library fundamentals TS)

Queries the contained type.

### Parameters

(none)

### Return value

The `typeid` of the contained value if instance is non-empty, otherwise typeid(void).

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/any/type&oldid=93152"